## adwaita-qt 1.0

=== CMakeLists.txt ===
project(Adwaita)
cmake_minimum_required(VERSION 2.8.11)
set(CMAKE_AUTOMOC ON)
add_definitions(-std=c++11)

option(USE_QT4 "Use Qt4 instead of Qt5" OFF)
if (USE_QT4)
    find_package(Qt4 REQUIRED)
    set(QT_VERSION_NUMBER "4")
else()
    find_package(Qt5Core REQUIRED)
    find_package(Qt5Gui REQUIRED)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5DBus REQUIRED)
    set(QT_QTGUI_LIBRARY Qt5::Gui Qt5::Widgets)
    set(QT_QTCORE_LIBRARY Qt5::Core)
    set(QT_QTDBUS_LIBRARY Qt5::DBus)
    #target_link_libraries(${LIBRARY_NAME} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
    set(QT_VERSION_NUMBER "5")
    get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                       IMPORTED_LOCATION)
    if (NOT QT_PLUGINS_DIR)
        execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                        OUTPUT_VARIABLE QT_PLUGINS_DIR
                        ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()
endif()

if (NOT CMAKE_INSTALL_PREFIX)
    set (CMAKE_INSTALL_PREFIX "/usr/local")
endif()

if (NOT DATA_INSTALL_DIR)
    set (DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share")
endif()
if (NOT THEME_INSTALL_DIR)
    set (THEME_INSTALL_DIR "${DATA_INSTALL_DIR}/themes")
endif()

set(ADWAITA_THEME_DIR "${THEME_INSTALL_DIR}/Adwaita/qt")

option(BUILD_EXAMPLE "Build an example widget factory app" OFF)
if (BUILD_EXAMPLE)
    if (USE_QT4)
        find_package(KDE4)
    else()
        error("It's not possible to build the example using Qt5 yet, sorry.")
    endif()
endif()

add_subdirectory(style)

=== style/CMakeLists.txt ===



configure_file(config-adwaita.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-adwaita.h )

set(Adwaita_SRCS
    animations/adwaitaanimation.cpp
    animations/adwaitaanimations.cpp
    animations/adwaitaanimationdata.cpp
    animations/adwaitabaseengine.cpp
    animations/adwaitabusyindicatordata.cpp
    animations/adwaitabusyindicatorengine.cpp
    animations/adwaitadialdata.cpp
    animations/adwaitadialengine.cpp
    animations/adwaitaenabledata.cpp
    animations/adwaitagenericdata.cpp
    animations/adwaitaheaderviewdata.cpp
    animations/adwaitaheaderviewengine.cpp
    animations/adwaitascrollbardata.cpp
    animations/adwaitascrollbarengine.cpp
    animations/adwaitaspinboxengine.cpp
    animations/adwaitaspinboxdata.cpp
    animations/adwaitastackedwidgetdata.cpp
    animations/adwaitastackedwidgetengine.cpp
    animations/adwaitatabbarengine.cpp
    animations/adwaitatabbardata.cpp
    animations/adwaitatoolboxengine.cpp
    animations/adwaitatransitiondata.cpp
    animations/adwaitatransitionwidget.cpp
    animations/adwaitawidgetstateengine.cpp
    animations/adwaitawidgetstatedata.cpp
    debug/adwaitawidgetexplorer.cpp
    adwaitaaddeventfilter.cpp
    adwaitahelper.cpp
    adwaitamnemonics.cpp
    adwaitapropertynames.cpp
    adwaitasplitterproxy.cpp
    adwaitastyle.cpp
    adwaitastyleplugin.cpp
    adwaitatileset.cpp
    adwaitawindowmanager.cpp
    fakeadwaitastyleconfigdata.cpp
)
add_definitions(-DQT_PLUGIN)

include_directories(
    ${QT_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR}
    .
    animations
    debug
)

set(LIBRARY_NAME "adwaita-qt${QT_VERSION_NUMBER}")

add_library(${LIBRARY_NAME} MODULE ${Adwaita_SRCS})
target_link_libraries(${LIBRARY_NAME} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY})
set_target_properties(${LIBRARY_NAME} PROPERTIES
    LINK_FLAGS "-Wl,--no-undefined"
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    OUTPUT_NAME "adwaita"
    PREFIX "")

install(TARGETS ${LIBRARY_NAME} DESTINATION "${QT_PLUGINS_DIR}/styles")

## adwaita-qt 0.5

=== debian/changelog ===
adwaita-qt (0.5-2) unstable; urgency=medium

  * Fix the Vcs-Git and Vcs-Browser URLs.
  * Build for Qt 4 too (closes: #845142).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 29 Nov 2016 16:50:35 +0300

adwaita-qt (0.5-1) unstable; urgency=medium

  * Initial release (closes: #836534).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Sep 2016 17:03:35 +0300

=== debian/control ===
Source: adwaita-qt
Section: gnome
Priority: optional
Maintainer: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: cmake (>= 2.8.11), debhelper (>= 9), libqt4-dev, qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://github.com/MartinBriza/adwaita-qt
Vcs-Git: https://anonscm.debian.org/git/collab-maint/adwaita-qt.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/adwaita-qt.git

Package: adwaita-qt
Architecture: any
Depends: adwaita-qt-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 port of GNOME’s Adwaita theme
 Adwaita-Qt provides a port of Adwaita theme, which is the default style
 of GNOME, to Qt 5.
 .
 To use it, start your Qt applications with “-style Adwaita” parameter.

Package: adwaita-qt4
Architecture: any
Depends: adwaita-qt-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: qt4-qtconfig
Description: Qt 4 port of GNOME’s Adwaita theme
 Adwaita-Qt provides a port of Adwaita theme, which is the default style
 of GNOME, to Qt 4.
 .
 To use it, start your Qt applications with “-style Adwaita” parameter,
 or select the “adwaita” style in qtconfig-qt4.

Package: adwaita-qt-data
Architecture: all
Depends: ${misc:Depends}
Description: Qt 5 port of GNOME’s Adwaita theme — data files
 Adwaita-Qt provides a port of Adwaita theme, which is the default style
 of GNOME, to Qt 5.
 .
 This package provides the data files for Adwaita-Qt.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt5 -- -DQT_ROOT=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/
	dh_auto_configure --builddirectory=build-qt4 -- -DUSE_QT4=ON

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5
	dh_auto_build --builddirectory=build-qt4

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt5
	dh_auto_install --builddirectory=build-qt4

override_dh_auto_clean:
	rm -rf build-qt4 build-qt5

## adwaita-qt 1.0

=== debian/changelog ===
adwaita-qt (1.0-2) unstable; urgency=medium

  * Drop the Qt 4 version (closes: #874816, LP: #1757586).
  * Add a note about the dark version to the package description.
  * Mark adwaita-qt as Multi-Arch: same.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 22 Mar 2018 18:16:07 +0300

adwaita-qt (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 23 Jun 2017 14:07:04 +0300

adwaita-qt (0.99-1) experimental; urgency=medium

  * New upstream release.
  * Stop defining QT_ROOT, upstream now queries qmake for that.
  * Fix the install file for Qt 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Apr 2017 12:18:39 +0300

adwaita-qt (0.97-1) experimental; urgency=medium

  * New upstream release with new code base based on Breeze.
  * Mention the QT_STYLE_OVERRIDE variable in the package description.
  * Rewrite debian/copyright.
  * Remove adwaita-qt-data package, there are no more shared files.
  * Run dh_install with --fail-missing.
  * Update to debhelper compat level 10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Jan 2017 22:49:41 +0300

=== debian/control ===
Source: adwaita-qt
Section: gnome
Priority: optional
Maintainer: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: cmake (>= 2.8.11), debhelper (>= 11), qtbase5-dev
Standards-Version: 4.1.3
Homepage: https://github.com/MartinBriza/adwaita-qt
Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt

Package: adwaita-qt
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 port of GNOME’s Adwaita theme
 Adwaita-Qt provides a port of Adwaita theme, which is the default style
 of GNOME, to Qt 5.
 .
 To use it, start your Qt applications with “-style Adwaita” parameter,
 or export QT_STYLE_OVERRIDE=Adwaita environment variable.
 For the dark version, use Adwaita-Dark instead of Adwaita.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*archive\/(\d.*).tar.gz/adwaita-qt_$1.orig.tar.gz/ \
 https://github.com/MartinBriza/adwaita-qt/tags .*/(\d.*)\.tar\.gz

## adwaita-qt 1.1.0

=== debian/changelog ===
adwaita-qt (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update GitHub links to point to the new repository location.
  * Update debian/copyright.
  * Use debhelper compat level 12 and debhelper-compat virtual package.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Jul 2019 14:31:52 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: cmake (>= 2.8.11), debhelper (>= 11), qtbase5-dev
-Standards-Version: 4.1.3
-Homepage: https://github.com/MartinBriza/adwaita-qt
+Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 12), qtbase5-dev
+Standards-Version: 4.3.0
+Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt

## adwaita-qt 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 project(Adwaita)
+
 cmake_minimum_required(VERSION 2.8.11)
+
 set(CMAKE_AUTOMOC ON)
 add_definitions(-std=c++11)
 
@@ -42,9 +44,9 @@
 option(BUILD_EXAMPLE "Build an example widget factory app" OFF)
 if (BUILD_EXAMPLE)
     if (USE_QT4)
-        find_package(KDE4)
+        error("It's not possible to build the example using Qt4 yet, sorry.")
     else()
-        error("It's not possible to build the example using Qt5 yet, sorry.")
+        add_subdirectory(demo)
     endif()
 endif()

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-
-
 
 configure_file(config-adwaita.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-adwaita.h )
 
@@ -33,22 +31,23 @@
     adwaitaaddeventfilter.cpp
     adwaitahelper.cpp
     adwaitamnemonics.cpp
-    adwaitapropertynames.cpp
     adwaitasplitterproxy.cpp
     adwaitastyle.cpp
     adwaitastyleplugin.cpp
-    adwaitatileset.cpp
     adwaitawindowmanager.cpp
-    fakeadwaitastyleconfigdata.cpp
 )
 add_definitions(-DQT_PLUGIN)
 
+if (MSVC)
+    add_definitions(-D_USE_MATH_DEFINES) # Needed for M_PI on MSVC
+endif()
+
 include_directories(
     ${QT_INCLUDES}
-    ${CMAKE_CURRENT_BINARY_DIR}
-    .
-    animations
-    debug
+    ${CMAKE_CURRENT_BINARY_DIR} # for adwaita-config.h
+    ${CMAKE_CURRENT_SOURCE_DIR}
+    ${CMAKE_CURRENT_SOURCE_DIR}/animations/
+    ${CMAKE_CURRENT_SOURCE_DIR}/debug/
 )
 
 set(LIBRARY_NAME "adwaita-qt${QT_VERSION_NUMBER}")

=== debian/changelog ===
adwaita-qt (1.1.1-2) unstable; urgency=medium

  * Specify XCB types more carefully to fix crashes on i386.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Mar 2020 12:35:22 +0300

adwaita-qt (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Nov 2019 12:53:13 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 12), qtbase5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt

## adwaita-qt 1.1.4

=== debian/changelog ===
adwaita-qt (1.1.4-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Jun 2020 16:31:36 +0300

adwaita-qt (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix_crash_on_i386.diff, applied upstream.
  * Update to debhelper compat level 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 May 2020 16:16:12 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 12), qtbase5-dev
+Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 13), qtbase5-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git

## adwaita-qt 1.2.0

=== CMakeLists.txt ===
project(Adwaita)

cmake_minimum_required(VERSION 3.0)

set(ADWAITAQT_VERSION_MAJOR 1)
set(ADWAITAQT_VERSION "1.2.0")

set(QT_MIN_VERSION "5.12.0")
set(CMAKE_AUTOMOC ON)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH})

include(GNUInstallDirs)

add_definitions(-std=c++11)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Widgets
)

if (NOT APPLE AND NOT WIN32)
    find_package(XCB 1.10 COMPONENTS XCB)

    set(ADWAITA_HAVE_X11 ${XCB_FOUND})

    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
        X11Extras
    )
endif()

get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                    IMPORTED_LOCATION)
if (NOT QT_PLUGINS_DIR)
    execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                    OUTPUT_VARIABLE QT_PLUGINS_DIR
                    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()

add_subdirectory(src)

# Tests need to be build from the root directory
# We now only test whether we can find and build against Adwaita library
if (BUILD_TESTING)
    enable_testing()

    find_package(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED Test)

    find_package(PkgConfig REQUIRED)
    pkg_check_modules(ADWAITAQT adwaita-qt>=${ADWAITAQT_VERSION})

    if (NOT ADWAITAQT_FOUND)
        message(FATAL_ERROR "Unable to find Adwaita-qt using PkgConfig")
    endif()

    find_package(AdwaitaQt ${ADWAITAQT_VERSION} REQUIRED)

    set(test_SRCS
        tests/test.cpp
    )

    add_executable(test-pkgconfig ${test_SRCS})
    target_link_libraries(test-pkgconfig Qt5::Test ${ADWAITAQT_LIBRARIES})

    add_executable(test-cmake ${test_SRCS})
    target_link_libraries(test-cmake Qt5::Test AdwaitaQt)

    add_test(NAME TestPkgConfig COMMAND test-pkgconfig)
    add_test(NAME TestCmake COMMAND test-cmake)
endif()

=== debian/changelog ===
adwaita-qt (1.2.0-2) unstable; urgency=medium

  * Update debian/libadwaitaqtpriv1.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Dec 2020 15:45:47 +0300

adwaita-qt (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libadwaitaqtpriv1.symbols from buildds’ logs.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Dec 2020 15:57:21 +0300

adwaita-qt (1.1.91-1) experimental; urgency=medium

  * New upstream pre-release.
  * Drop private_library_version.diff, applied upstream.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Nov 2020 20:12:45 +0300

adwaita-qt (1.1.90-1) experimental; urgency=medium

  * New upstream pre-release.
  * Update build-dependencies:
    - Bump cmake required version to 3.0.
    - Bump qtbase5-dev required version to 5.12.
    - Add libx11-xcb-dev, libxcb1-dev and libqt5x11extras5-dev.
  * Add a patch to add a SOVERSION to the adwaitaqtpriv library.
  * Add new packages:
    - libadwaitaqt1 (public library);
    - libadwaitaqtpriv1 (private library);
    - libadwaitaqt-dev (development files).
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 23 Sep 2020 20:32:36 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 13), qtbase5-dev
-Standards-Version: 4.5.0
+Build-Depends: cmake (>= 3.0),
+               debhelper-compat (= 13),
+               libqt5x11extras5-dev,
+               libx11-xcb-dev,
+               libxcb1-dev (>= 1.10),
+               qtbase5-dev (>= 5.12.0)
+Standards-Version: 4.5.1
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt
@@ -19,3 +24,38 @@
  To use it, start your Qt applications with “-style Adwaita” parameter,
  or export QT_STYLE_OVERRIDE=Adwaita environment variable.
  For the dark version, use Adwaita-Dark instead of Adwaita.
+
+Package: libadwaitaqt1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 port of GNOME’s Adwaita theme — public library
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 5.
+ .
+ This package contains the public library of Adwaita-Qt that provides
+ Adwaita-specific colors.
+
+Package: libadwaitaqtpriv1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 port of GNOME’s Adwaita theme — private library
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 5.
+ .
+ This package contains the private library of Adwaita-Qt.
+
+Package: libadwaitaqt-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libadwaitaqt1 (= ${binary:Version}), ${misc:Depends}
+Description: Qt 5 port of GNOME’s Adwaita theme — development files
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 5.
+ .
+ This package contains the development files for building applications with
+ the public library of Adwaita-Qt.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*archive\/(\d.*).tar.gz/adwaita-qt_$1.orig.tar.gz/ \
 https://github.com/FedoraQt/adwaita-qt/tags .*/(\d.*)\.tar\.gz

## adwaita-qt 1.2.1

=== debian/changelog ===
adwaita-qt (1.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Apr 2021 20:32:54 +0300

## adwaita-qt 1.4.0

=== debian/changelog ===
adwaita-qt (1.4.0-2) unstable; urgency=medium

  * Update debian/libadwaitaqt1.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Aug 2021 19:20:53 +0300

adwaita-qt (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libadwaitaqt1.symbols from the current build logs.
  * Bump required cmake version to 3.18.
  * Build-Depend on sassc.
  * Update debian/copyright.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Aug 2021 13:58:33 +0300

adwaita-qt (1.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libadwaitaqt1.symbols from buildds’ logs.
  * Drop bump_version.diff, no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Jun 2021 20:46:19 +0300

adwaita-qt (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Backport upstream commit to fix project version.
  * Install new adwaitarenderer.h header file.
  * Update symbols files from the current build logs.
  * Declare Rules-Requires-Root: no.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 May 2021 16:02:24 +0300

## adwaita-qt 1.4.1

=== CMakeLists.txt ===
project(Adwaita)

cmake_minimum_required(VERSION 3.17)

set(ADWAITAQT_VERSION_MAJOR 1)
set(ADWAITAQT_VERSION "1.4.1")

option(USE_QT6 "Use Qt6 instead of Qt5" OFF)

if (USE_QT6)
    set(QT_MIN_VERSION "6.2.0")
    set(CMAKE_CXX_STANDARD 17)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(ADWAITAQT_SUFFIX "6")
else()
    set(QT_MIN_VERSION "5.15.2")
    set(CMAKE_CXX_STANDARD 11)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(ADWAITAQT_SUFFIX "")
endif()

set(CMAKE_AUTOMOC ON)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH})

include(GNUInstallDirs)

if (USE_QT6)
    find_package(QT NAMES Qt6 COMPONENTS Core DBus Gui Widgets REQUIRED)
else()
    find_package(QT NAMES Qt5 COMPONENTS Core DBus Gui Widgets REQUIRED)
endif()


find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Widgets
)

if (NOT APPLE AND NOT WIN32 AND NOT USE_QT6)
    find_package(XCB 1.10 COMPONENTS XCB)

    set(ADWAITA_HAVE_X11 ${XCB_FOUND})

    find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
        X11Extras
    )
endif()

if (NOT USE_QT6)
    get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE} IMPORTED_LOCATION)
    if (NOT QT_PLUGINS_DIR)
        execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                        OUTPUT_VARIABLE QT_PLUGINS_DIR
                        ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()
endif()

add_subdirectory(src)

=== src/CMakeLists.txt ===
option(BUILD_EXAMPLE "Build an example widget factory app" OFF)
if (BUILD_EXAMPLE)
    add_subdirectory(demo)
endif()

add_subdirectory(lib)
add_subdirectory(style)

=== debian/changelog ===
adwaita-qt (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Nov 2021 21:04:19 +0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: cmake (>= 3.0),
+Build-Depends: cmake (>= 3.18),
                debhelper-compat (= 13),
                libqt5x11extras5-dev,
                libx11-xcb-dev,
                libxcb1-dev (>= 1.10),
-               qtbase5-dev (>= 5.12.0)
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.12.0),
+               sassc
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt

## adwaita-qt 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.17)
 
 set(ADWAITAQT_VERSION_MAJOR 1)
-set(ADWAITAQT_VERSION "1.4.1")
+set(ADWAITAQT_VERSION "1.4.2")
 
 option(USE_QT6 "Use Qt6 instead of Qt5" OFF)
 
@@ -30,7 +30,6 @@
     find_package(QT NAMES Qt5 COMPONENTS Core DBus Gui Widgets REQUIRED)
 endif()
 
-
 find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
     DBus
@@ -41,19 +40,19 @@
 if (NOT APPLE AND NOT WIN32 AND NOT USE_QT6)
     find_package(XCB 1.10 COMPONENTS XCB)
 
-    set(ADWAITA_HAVE_X11 ${XCB_FOUND})
-
-    find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
-        X11Extras
-    )
+    find_package(Qt${QT_VERSION_MAJOR}X11Extras ${QT_MIN_VERSION})
+    set(ADWAITA_HAVE_X11 ${XCB_FOUND} AND ${Qt5X11Extras_FOUND})
 endif()
 
-if (NOT USE_QT6)
-    get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE} IMPORTED_LOCATION)
-    if (NOT QT_PLUGINS_DIR)
+if (NOT QT_PLUGINS_DIR)
+    if (NOT USE_QT6)
+        get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
+                            IMPORTED_LOCATION)
         execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                         OUTPUT_VARIABLE QT_PLUGINS_DIR
                         ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
+    else()
+        set(QT_PLUGINS_DIR ${QT6_INSTALL_PLUGINS})
     endif()
 endif()

=== src/demo/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(showcase_SRCS
    main.cpp
    widgetfactory.cpp
)

set(showcase_UI
    widgetfactory.ui
)

if (USE_QT6)
    qt6_wrap_ui(showcase_SRCS ${showcase_UI})
else()
    qt5_wrap_ui(showcase_SRCS ${showcase_UI})
endif()

add_executable(showcase ${showcase_SRCS})
target_link_libraries(showcase Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Widgets)

=== src/style/CMakeLists.txt ===

include_directories(
    ${CMAKE_BINARY_DIR}/src/lib # for adwaita-config.h
    ${CMAKE_SOURCE_DIR}/src/lib
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(Adwaita_SRCS
    adwaitahelper.cpp
    adwaitastyle.cpp
    adwaitastyleplugin.cpp
)

add_definitions(-DQT_PLUGIN)

if (MSVC)
    add_definitions(-D_USE_MATH_DEFINES) # Needed for M_PI on MSVC
endif()

set(LIBRARY_NAME "adwaita-qt")

add_library(${LIBRARY_NAME} MODULE ${Adwaita_SRCS})
target_link_libraries(${LIBRARY_NAME}
    adwaitaqt${ADWAITAQT_SUFFIX}
    adwaitaqt${ADWAITAQT_SUFFIX}priv
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Widgets
)

if (ADWAITA_HAVE_X11)
    target_link_libraries(${LIBRARY_NAME} ${XCB_LIBRARIES} Qt${QT_VERSION_MAJOR}::X11Extras)
endif()

if (NOT APPLE AND NOT WIN32)
    set_target_properties(${LIBRARY_NAME} PROPERTIES
        LINK_FLAGS "-Wl,--no-undefined"
        LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
        OUTPUT_NAME "adwaita"
        PREFIX "")
endif()

install(TARGETS ${LIBRARY_NAME} DESTINATION "${QT_PLUGINS_DIR}/styles")

=== debian/changelog ===
adwaita-qt (1.4.2-3) unstable; urgency=medium

  [ YOKOTA Hiroshi ]
  * Make libadwaitaqt6-dev depend on the correct library.

  [ Dmitry Shachnev ]
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Jan 2023 22:43:03 +0400

adwaita-qt (1.4.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libxcb1-dev (>= 1.10).

  [ Dmitry Shachnev ]
  * Update symbols files for Qt 6.4 (closes: #1027589).
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Jan 2023 21:39:32 +0300

adwaita-qt (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Sep 2022 19:11:30 +0300

adwaita-qt (1.4.1-4) unstable; urgency=medium

  * Update symbols files from buildds’ and current build logs.
  * Mark three symbols as optional to fix build with -O3 (closes: #1017803).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Aug 2022 09:18:40 +0300

adwaita-qt (1.4.1-3) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 21 Apr 2022 13:46:00 +0300

adwaita-qt (1.4.1-2) experimental; urgency=medium

  * Add packages for Qt 6.
  * Build with pkgkde_symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Apr 2022 17:30:01 +0300

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
                debhelper-compat (= 13),
                libqt5x11extras5-dev,
                libx11-xcb-dev,
-               libxcb1-dev (>= 1.10),
+               libxcb1-dev,
+               pkg-kde-tools,
+               qt6-base-dev,
                qtbase5-dev (>= 5.12.0),
                sassc
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt
@@ -61,3 +63,50 @@
  .
  This package contains the development files for building applications with
  the public library of Adwaita-Qt.
+
+Package: adwaita-qt6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 port of GNOME’s Adwaita theme
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 6.
+ .
+ To use it, start your Qt applications with “-style Adwaita” parameter,
+ or export QT_STYLE_OVERRIDE=Adwaita environment variable.
+ For the dark version, use Adwaita-Dark instead of Adwaita.
+
+Package: libadwaitaqt6-1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 port of GNOME’s Adwaita theme — public library
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 6.
+ .
+ This package contains the public library of Adwaita-Qt that provides
+ Adwaita-specific colors.
+
+Package: libadwaitaqt6priv1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 port of GNOME’s Adwaita theme — private library
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 6.
+ .
+ This package contains the private library of Adwaita-Qt.
+
+Package: libadwaitaqt6-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libadwaitaqt6-1 (= ${binary:Version}), ${misc:Depends}
+Description: Qt 6 port of GNOME’s Adwaita theme — development files
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 6.
+ .
+ This package contains the development files for building applications with
+ the public library of Adwaita-Qt.

=== debian/watch ===
version=4
https://github.com/FedoraQt/adwaita-qt/tags /FedoraQt/adwaita-qt/archive/refs/tags/@ANY_VERSION@\.tar\.gz
